Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GWOverviewWidgetPlugin Class Reference

`#include <GWOverviewWidgetPlugin.h>`

List of all members.

## Public Member Functions

- GWOverviewWidgetPlugin (QObject *parent=0)
- ~GWOverviewWidgetPlugin ()
- bool isContainer () const
- bool isInitialized () const
- QIcon icon () const
- QString codeTemplate () const
- QString domXml () const
- QString group () const
- QString includeFile () const
- QString name () const
- QString toolTip () const
- QString whatsThis () const
- QWidget * createWidget (QWidget *parent)
- void initialize (QDesignerFormEditorInterface *core)

## Constructor & Destructor Documentation

tlp::GWOverviewWidgetPlugin::GWOverviewWidgetPlugin | ( | QObject * | parent = `0` | ) |

tlp::GWOverviewWidgetPlugin::~GWOverviewWidgetPlugin | ( |  | ) |

## Member Function Documentation

QString tlp::GWOverviewWidgetPlugin::codeTemplate | ( |  | ) | const

QWidget* tlp::GWOverviewWidgetPlugin::createWidget | ( | QWidget * | parent | ) |

QString tlp::GWOverviewWidgetPlugin::domXml | ( |  | ) | const

QString tlp::GWOverviewWidgetPlugin::group | ( |  | ) | const

QIcon tlp::GWOverviewWidgetPlugin::icon | ( |  | ) | const

QString tlp::GWOverviewWidgetPlugin::includeFile | ( |  | ) | const

void tlp::GWOverviewWidgetPlugin::initialize | ( | QDesignerFormEditorInterface * | core | ) |

bool tlp::GWOverviewWidgetPlugin::isContainer | ( |  | ) | const

bool tlp::GWOverviewWidgetPlugin::isInitialized | ( |  | ) | const

QString tlp::GWOverviewWidgetPlugin::name | ( |  | ) | const

QString tlp::GWOverviewWidgetPlugin::toolTip | ( |  | ) | const

QString tlp::GWOverviewWidgetPlugin::whatsThis | ( |  | ) | const

Tulip Software by LaBRI Visualization Team 2001 - 2012